[cronometer] 04/04: Exclude the non-free SourceForge donation logo from the upstream tarball Use XZ compression for the upstream tarball

Emmanuel Bourg ebourg-guest at moszumanska.debian.org
Tue Mar 4 21:27:31 UTC 2014


This is an automated email from the git hooks/post-receive script.

ebourg-guest pushed a commit to branch master
in repository cronometer.

commit f9c18ff3d6a385c9570e114c7bb1fd972af00498
Author: Emmanuel Bourg <ebourg at apache.org>
Date:   Tue Mar 4 22:26:59 2014 +0100

    Exclude the non-free SourceForge donation logo from the upstream tarball
    Use XZ compression for the upstream tarball
---
 debian/changelog   |  3 +++
 debian/orig-tar.sh | 21 +++++++++++++++++++++
 debian/watch       |  2 +-
 3 files changed, 25 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index a9f26b3..be8921f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 cronometer (0.9.9-3) UNRELEASED; urgency=medium
 
   * Team upload.
+  * Exclude the non-free SourceForge donation logo from the upstream tarball
+    (Closes: #735498)
+  * Use XZ compression for the upstream tarball
   * Standards-Version updated 3.9.5 (no changes)
   * Use canonical URLs for the Vcs-* fields
   * Switch to debhelper level 9
diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
new file mode 100755
index 0000000..59f4c72
--- /dev/null
+++ b/debian/orig-tar.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+
+VERSION=$2
+DIR=CRONOMETER
+TAR=../cronometer_${VERSION}.orig.tar.xz
+
+tar -xf $3
+rm $3
+XZ_OPT=--best tar -c -v -J -f $TAR \
+    --exclude 'docs/project-support.jpg' \
+    --exclude '.settings' \
+    --exclude '.classpath' \
+    --exclude '.project' \
+    --exclude '.cvsignore' \
+    --exclude '.svnignore' \
+    --exclude '._*' \
+    --exclude 'lib/cronometer.jar' \
+    --exclude 'lib/docs.jar' \
+    $DIR
+rm -Rf $DIR ._*
diff --git a/debian/watch b/debian/watch
index f56018e..97b0601 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,3 @@
 version=3
 opts=filenamemangle=s/(CRONOMETER|cronometer)-(.*).(tar.gz|tgz)/cronometer-$2.tar.gz/ \
-http://sf.net/cronometer/CRONOMETER-([^-]+)\-?.*\.(?:tar\.gz|tgz)
+http://sf.net/cronometer/CRONOMETER-([^-]+)\-?.*\.(?:tar\.gz|tgz) debian debian/orig-tar.sh

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/cronometer.git



More information about the pkg-java-commits mailing list